> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/invoke-rasexportcertificate.md).

# Invoke-RASExportCertificate

## SYNOPSIS

Exports a certificate to a file.

## SYNTAX

```powershell
Invoke-RASExportCertificate [[-Id] <uint>] -ExportCertificate <SwitchParameter> -FilePath <string>
 [<CommonParameters>]
```

```powershell
Invoke-RASExportCertificate [[-Id] <uint>] -ExportPfx <SwitchParameter> -FilePath <string>
 -PfxPassword <SecureString> [<CommonParameters>]
```

```powershell
Invoke-RASExportCertificate [-InputObject] <Certificate> -ExportCertificate <SwitchParameter>
 -FilePath <string> [<CommonParameters>]
```

```powershell
Invoke-RASExportCertificate [-InputObject] <Certificate> -ExportPfx <SwitchParameter>
 -FilePath <string> -PfxPassword <SecureString> [<CommonParameters>]
```

```powershell
Invoke-RASExportCertificate [[-Name] <string>] [[-SiteId] <uint>]
 -ExportCertificate <SwitchParameter> -FilePath <string> [<CommonParameters>]
```

```powershell
Invoke-RASExportCertificate [[-Name] <string>] [[-SiteId] <uint>] -ExportPfx <SwitchParameter>
 -FilePath <string> -PfxPassword <SecureString> [<CommonParameters>]
```

## DESCRIPTION

Exports a certificate to a file.

## EXAMPLES

### Example 1

```powershell
Invoke-RASExportCertificate -Name MyCertificate -ExportCertificate -FilePath "C:\myCertificate.crt"
```

Exports the certificate named MyCertificate to the specified file path.

### Example 2

```powershell
Invoke-RASExportCertificate -Id 1 -ExportCertificate -FilePath "C:\myCertificate.crt"
```

Exports the certificate with Id 1 to the specified file path.

### Example 3

```powershell
Invoke-RASExportCertificate -Name MyPfxCertificate -ExportPfx -FilePath "C:\myPfxCertificate.pfx"
```

Exports the certificate named MyPfxCertificate as a PFX file to the specified file path.

### Example 4

```powershell
Invoke-RASExportCertificate -Id 1 -ExportPfx -FilePath "C:\myPfxCertificate.pfx"
```

Exports the certificate with Id 1 as a PFX file to the specified file path.

## PARAMETERS

### -Name

The name of the Certificate to export.

```yaml
Type: string
Required: False
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SiteId

Site ID of the Certificate to export.

```yaml
Type: uint
Required: False
Position: 1
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Id

The ID of the Certificate to export.

```yaml
Type: uint
Required: False
Position: 0
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -InputObject

The Certificate object to export.

To obtain a Certificate object representing a Certificate, use the Get-RASCertificate command."

Type reference: [Certificate](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/certificate.md)

```yaml
Type: Certificate
Required: True
Position: 0
Default value: None
Accept pipeline input: true (ByValue)
Accept wildcard characters: False
```

### -FilePath

The full path where the exported certificate is to be stored. The accepted filename extensions are '.crt' and '.pfx'.

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -ExportCertificate

Specifies to export as certificate.

```yaml
Type: SwitchParameter
Required: True
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### -ExportPfx

Specifies to export as Pfx.

```yaml
Type: SwitchParameter
Required: True
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### -PfxPassword

Password to be used for the PFX file.

```yaml
Type: SecureString
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [Certificate](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/certificate.md)

## OUTPUTS

### [RASFiles](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/rasfiles.md)

## RELATED LINKS

* [Get-RASCertificate](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rascertificate.md)
* [New-RASCertificate](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/new-rascertificate.md)
* [Set-RASCertificate](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rascertificate.md)
* [Remove-RASCertificate](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rascertificate.md)
* [Invoke-RASCertificateCmd](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/invoke-rascertificatecmd.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/invoke-rasexportcertificate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
